package hmggirlfront;

import hmggirlfront.items.ItemDollCore;
import hmggirlfront.items.ItemDollGunBase;
import hmggirlfront.items.ItemDollGun_SR;
import net.minecraft.item.Item;
import net.minecraft.util.ResourceLocation;
import net.minecraftforge.event.RegistryEvent;

public class GFItemGunRF_Registry {
	public static void registry(mod_GirlFront mod, RegistryEvent.Register<Item> event){
		net.minecraftforge.fml.common.ProgressManager.ProgressBar bar= net.minecraftforge.fml.common.ProgressManager.push("GF_RF_Loading", 23, true);
		{//start
			mod.dollgun_m14	= new ItemDollGun_SR().setUnlocalizedName("dollgun_m14")
					.setRegistryName(mod.MOD_ID, "dollgun_m14").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_m14;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/rf/m14.txt");
				LoadDollStatus.load(gun, mod, event, status, "rf/m14.txt");
				
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_m14;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_m14);
		    {
				 mod.core_m14	= new ItemDollCore(37, mod.dollgun_m14,  null).setUnlocalizedName("core_m14")
				    		.setRegistryName(mod.MOD_ID, "core_m14").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_m14;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_m14;
					 core.craft_time = gun.doll_crafttime;
					 mod.rf_rare[mod.rf_id] = gun.doll_rare;
					 mod.rf_item[mod.rf_id] = mod.core_m14;
					 ++mod.rf_id;
				 }
				   
				    event.getRegistry().register(mod.core_m14);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_m14;
		    	gun.doll_core = mod.core_m14;
		    }
		}bar.step("gun load");//end
		{//start
			mod.dollgun_fn49	= new ItemDollGun_SR().setUnlocalizedName("dollgun_fn49")
					.setRegistryName(mod.MOD_ID, "dollgun_fn49").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_fn49;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/rf/fn49.txt");
				LoadDollStatus.load(gun, mod, event, status, "rf/fn49.txt");
				
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_fn49;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_fn49);
		    {
				 mod.core_fn49	= new ItemDollCore(37, mod.dollgun_fn49,  null).setUnlocalizedName("core_fn49")
				    		.setRegistryName(mod.MOD_ID, "core_fn49").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_fn49;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_fn49;
					 core.craft_time = gun.doll_crafttime;
					 mod.rf_rare[mod.rf_id] = gun.doll_rare;
					 mod.rf_item[mod.rf_id] = mod.core_fn49;
					 ++mod.rf_id;
				 }
				   
				    event.getRegistry().register(mod.core_fn49);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_fn49;
		    	gun.doll_core = mod.core_fn49;
		    }
		}bar.step("gun load");//end
		{//start
			mod.dollgun_wa2000	= new ItemDollGun_SR().setUnlocalizedName("dollgun_wa2000")
					.setRegistryName(mod.MOD_ID, "dollgun_wa2000").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_wa2000;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/rf/wa2000.txt");
				LoadDollStatus.load(gun, mod, event, status, "rf/wa2000.txt");
				
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_wa2000;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_wa2000);
		    {
				 mod.core_wa2000	= new ItemDollCore(37, mod.dollgun_wa2000,  null).setUnlocalizedName("core_wa2000")
				    		.setRegistryName(mod.MOD_ID, "core_wa2000").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_wa2000;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_wa2000;
					 core.craft_time = gun.doll_crafttime;
					 mod.rf_rare[mod.rf_id] = gun.doll_rare;
					 mod.rf_item[mod.rf_id] = mod.core_wa2000;
					 ++mod.rf_id;
				 }
				    
				    event.getRegistry().register(mod.core_wa2000);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_wa2000;
		    	gun.doll_core = mod.core_wa2000;
		    }
		}bar.step("gun load");//end
		
		{//start
			mod.dollgun_supersass	= new ItemDollGun_SR().setUnlocalizedName("dollgun_supersass")
					.setRegistryName(mod.MOD_ID, "dollgun_supersass").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_supersass;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/rf/supersass.txt");
				LoadDollStatus.load(gun, mod, event, status, "rf/supersass.txt");
				
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_supersass;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_supersass);
		    {
				 mod.core_supersass	= new ItemDollCore(37, mod.dollgun_supersass,  null).setUnlocalizedName("core_supersass")
				    		.setRegistryName(mod.MOD_ID, "core_supersass").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_supersass;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_supersass;
					 core.craft_time = gun.doll_crafttime;
					 mod.rf_rare[mod.rf_id] = gun.doll_rare;
					 mod.rf_item[mod.rf_id] = mod.core_supersass;
					 ++mod.rf_id;
				 }
				   
				    event.getRegistry().register(mod.core_supersass);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_supersass;
		    	gun.doll_core = mod.core_supersass;
		    }
		}bar.step("gun load");//end
		{//start
			mod.dollgun_gr_g28	= new ItemDollGun_SR().setUnlocalizedName("dollgun_gr_g28")
					.setRegistryName(mod.MOD_ID, "dollgun_gr_g28").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_gr_g28;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/rf/gr_g28.txt");
				LoadDollStatus.load(gun, mod, event, status, "rf/gr_g28.txt");
				
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_gr_g28;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_gr_g28);
		    {
				 mod.core_gr_g28	= new ItemDollCore(37, mod.dollgun_gr_g28,  null).setUnlocalizedName("core_gr_g28")
				    		.setRegistryName(mod.MOD_ID, "core_gr_g28").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_gr_g28;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_gr_g28;
					 core.craft_time = gun.doll_crafttime;
					 mod.rf_rare[mod.rf_id] = gun.doll_rare;
					 mod.rf_item[mod.rf_id] = mod.core_gr_g28;
					 ++mod.rf_id;
				 }
				   
				    event.getRegistry().register(mod.core_gr_g28);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_gr_g28;
		    	gun.doll_core = mod.core_gr_g28;
		    }
		}bar.step("gun load");//end
		
		{//start
			mod.dollgun_sks	= new ItemDollGun_SR().setUnlocalizedName("dollgun_sks")
					.setRegistryName(mod.MOD_ID, "dollgun_sks").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_sks;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/rf/sks.txt");
				LoadDollStatus.load(gun, mod, event, status, "rf/sks.txt");
				
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_sks;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_sks);
		    {
				 mod.core_sks	= new ItemDollCore(37, mod.dollgun_sks,  null).setUnlocalizedName("core_sks")
				    		.setRegistryName(mod.MOD_ID, "core_sks").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_sks;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_sks;
					 core.craft_time = gun.doll_crafttime;
					 mod.rf_rare[mod.rf_id] = gun.doll_rare;
					 mod.rf_item[mod.rf_id] = mod.core_sks;
					 ++mod.rf_id;
				 }
				   
				    event.getRegistry().register(mod.core_sks);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_sks;
		    	gun.doll_core = mod.core_sks;
		    }
		}bar.step("gun load");//end
		{//start
			mod.dollgun_m200	= new ItemDollGun_SR().setUnlocalizedName("dollgun_m200")
					.setRegistryName(mod.MOD_ID, "dollgun_m200").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_m200;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/rf/m200.txt");
				LoadDollStatus.load(gun, mod, event, status, "rf/m200.txt");
				
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_m200;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_m200);
		    {
				 mod.core_m200	= new ItemDollCore(37, mod.dollgun_m200,  null).setUnlocalizedName("core_m200")
				    		.setRegistryName(mod.MOD_ID, "core_m200").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_m200;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_m200;
					 core.craft_time = gun.doll_crafttime;
					 mod.rf_rare[mod.rf_id] = gun.doll_rare;
					 mod.rf_item[mod.rf_id] = mod.core_m200;
					 ++mod.rf_id;
				 }
				   
				    event.getRegistry().register(mod.core_m200);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_m200;
		    	gun.doll_core = mod.core_m200;
		    }
		}bar.step("gun load");//end
		{//start
			mod.dollgun_svd	= new ItemDollGun_SR().setUnlocalizedName("dollgun_svd")
					.setRegistryName(mod.MOD_ID, "dollgun_svd").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_svd;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/rf/svd.txt");
				LoadDollStatus.load(gun, mod, event, status, "rf/svd.txt");
				
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_svd;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_svd);
		    {
				 mod.core_svd	= new ItemDollCore(37, mod.dollgun_svd,  null).setUnlocalizedName("core_svd")
				    		.setRegistryName(mod.MOD_ID, "core_svd").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_svd;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_svd;
					 core.craft_time = gun.doll_crafttime;
					 mod.rf_rare[mod.rf_id] = gun.doll_rare;
					 mod.rf_item[mod.rf_id] = mod.core_svd;
					 ++mod.rf_id;
				 }
				   
				    event.getRegistry().register(mod.core_svd);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_svd;
		    	gun.doll_core = mod.core_svd;
		    }
		}bar.step("gun load");//end
		{//start
			mod.dollgun_sm1	= new ItemDollGun_SR().setUnlocalizedName("dollgun_sm1")
					.setRegistryName(mod.MOD_ID, "dollgun_sm1").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_sm1;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/rf/sm1.txt");
				LoadDollStatus.load(gun, mod, event, status, "rf/sm1.txt");
				
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_sm1;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_sm1);
		    {
				 mod.core_sm1	= new ItemDollCore(37, mod.dollgun_sm1,  null).setUnlocalizedName("core_sm1")
				    		.setRegistryName(mod.MOD_ID, "core_sm1").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_sm1;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_sm1;
					 core.craft_time = gun.doll_crafttime;
					 mod.rf_rare[mod.rf_id] = gun.doll_rare;
					 mod.rf_item[mod.rf_id] = mod.core_sm1;
					 ++mod.rf_id;
				 }
				   
				    event.getRegistry().register(mod.core_sm1);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_sm1;
		    	gun.doll_core = mod.core_sm1;
		    }
		}bar.step("gun load");//end
		
		{//start
			mod.dollgun_m1903	= new ItemDollGun_SR().setUnlocalizedName("dollgun_m1903")
					.setRegistryName(mod.MOD_ID, "dollgun_m1903").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_m1903;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/rf/m1903.txt");
				LoadDollStatus.load(gun, mod, event, status, "rf/m1903.txt");
				
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_m1903;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_m1903);
		    {
				 mod.core_m1903	= new ItemDollCore(37, mod.dollgun_m1903,  null).setUnlocalizedName("core_m1903")
				    		.setRegistryName(mod.MOD_ID, "core_m1903").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_m1903;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_m1903;
					 core.craft_time = gun.doll_crafttime;
					 mod.rf_rare[mod.rf_id] = gun.doll_rare;
					 mod.rf_item[mod.rf_id] = mod.core_m1903;
					 ++mod.rf_id;
				 }
				   
				    event.getRegistry().register(mod.core_m1903);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_m1903;
		    	gun.doll_core = mod.core_m1903;
		    }
		}bar.step("gun load");//end
		
		{//start
			mod.dollgun_sv98	= new ItemDollGun_SR().setUnlocalizedName("dollgun_sv98")
					.setRegistryName(mod.MOD_ID, "dollgun_sv98").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_sv98;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/rf/sv98.txt");
				LoadDollStatus.load(gun, mod, event, status, "rf/sv98.txt");
				
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_sv98;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_sv98);
		    {
				 mod.core_sv98	= new ItemDollCore(37, mod.dollgun_sv98,  null).setUnlocalizedName("core_sv98")
				    		.setRegistryName(mod.MOD_ID, "core_sv98").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_sv98;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_sv98;
					 core.craft_time = gun.doll_crafttime;
					 mod.rf_rare[mod.rf_id] = gun.doll_rare;
					 mod.rf_item[mod.rf_id] = mod.core_sv98;
					 ++mod.rf_id;
				 }
				   
				    event.getRegistry().register(mod.core_sv98);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_sv98;
		    	gun.doll_core = mod.core_sv98;
		    }
		}bar.step("gun load");//end
		{//start
			mod.dollgun_iws2000	= new ItemDollGun_SR().setUnlocalizedName("dollgun_iws2000")
					.setRegistryName(mod.MOD_ID, "dollgun_iws2000").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_iws2000;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/rf/iws2000.txt");
				LoadDollStatus.load(gun, mod, event, status, "rf/iws2000.txt");
				
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_iws2000;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_iws2000);
		    {
				 mod.core_iws2000	= new ItemDollCore(37, mod.dollgun_iws2000,  null).setUnlocalizedName("core_iws2000")
				    		.setRegistryName(mod.MOD_ID, "core_iws2000").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_iws2000;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_iws2000;
					 core.craft_time = gun.doll_crafttime;
					 mod.rf_rare[mod.rf_id] = gun.doll_rare;
					 mod.rf_item[mod.rf_id] = mod.core_iws2000;
					 ++mod.rf_id;
				 }
				   
				    event.getRegistry().register(mod.core_iws2000);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_iws2000;
		    	gun.doll_core = mod.core_iws2000;
		    }
		}bar.step("gun load");//end
		{//start
			mod.dollgun_type4_j	= new ItemDollGun_SR().setUnlocalizedName("dollgun_type4_j")
					.setRegistryName(mod.MOD_ID, "dollgun_type4_j").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_type4_j;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/rf/type4_j.txt");
				LoadDollStatus.load(gun, mod, event, status, "rf/type4_j.txt");
				
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_type4_j;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_type4_j);
		    {
				 mod.core_type4_j	= new ItemDollCore(37, mod.dollgun_type4_j,  null).setUnlocalizedName("core_type4_j")
				    		.setRegistryName(mod.MOD_ID, "core_type4_j").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_type4_j;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_type4_j;
					 core.craft_time = gun.doll_crafttime;
					 mod.rf_rare[mod.rf_id] = gun.doll_rare;
					 mod.rf_item[mod.rf_id] = mod.core_type4_j;
					 ++mod.rf_id;
				 }
				   
				    event.getRegistry().register(mod.core_type4_j);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_type4_j;
		    	gun.doll_core = mod.core_type4_j;
		    }
		}bar.step("gun load");//end
		
		{//start
			mod.dollgun_falcon	= new ItemDollGun_SR().setUnlocalizedName("dollgun_falcon")
					.setRegistryName(mod.MOD_ID, "dollgun_falcon").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_falcon;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/rf/falcon.txt");
				LoadDollStatus.load(gun, mod, event, status, "rf/falcon.txt");
				
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_falcon;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_falcon);
		    {
				 mod.core_falcon	= new ItemDollCore(37, mod.dollgun_falcon,  null).setUnlocalizedName("core_falcon")
				    		.setRegistryName(mod.MOD_ID, "core_falcon").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_falcon;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_falcon;
					 core.craft_time = gun.doll_crafttime;
					 mod.rf_rare[mod.rf_id] = gun.doll_rare;
					 mod.rf_item[mod.rf_id] = mod.core_falcon;
					 ++mod.rf_id;
				 }
				   
				    event.getRegistry().register(mod.core_falcon);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_falcon;
		    	gun.doll_core = mod.core_falcon;
		    }
		}bar.step("gun load");//end
		
		{//start
			mod.dollgun_kar98k	= new ItemDollGun_SR().setUnlocalizedName("dollgun_kar98k")
					.setRegistryName(mod.MOD_ID, "dollgun_kar98k").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_kar98k;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/rf/kar98k.txt");
				LoadDollStatus.load(gun, mod, event, status, "rf/kar98k.txt");
				
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_kar98k;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_kar98k);
		    {
				 mod.core_kar98k	= new ItemDollCore(37, mod.dollgun_kar98k,  null).setUnlocalizedName("core_kar98k")
				    		.setRegistryName(mod.MOD_ID, "core_kar98k").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_kar98k;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_kar98k;
					 core.craft_time = gun.doll_crafttime;
					 mod.rf_rare[mod.rf_id] = gun.doll_rare;
					 mod.rf_item[mod.rf_id] = mod.core_kar98k;
					 ++mod.rf_id;
				 }
				   
				    event.getRegistry().register(mod.core_kar98k);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_kar98k;
		    	gun.doll_core = mod.core_kar98k;
		    }
		}bar.step("gun load");//end
		
		{//start
			mod.dollgun_vsk94	= new ItemDollGun_SR().setUnlocalizedName("dollgun_vsk94")
					.setRegistryName(mod.MOD_ID, "dollgun_vsk94").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_vsk94;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/rf/vsk94.txt");
				LoadDollStatus.load(gun, mod, event, status, "rf/vsk94.txt");
				
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_vsk94;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_vsk94);
		    {
				 mod.core_vsk94	= new ItemDollCore(37, mod.dollgun_vsk94,  null).setUnlocalizedName("core_vsk94")
				    		.setRegistryName(mod.MOD_ID, "core_vsk94").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_vsk94;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_vsk94;
					 core.craft_time = gun.doll_crafttime;
					 mod.rf_rare[mod.rf_id] = gun.doll_rare;
					 mod.rf_item[mod.rf_id] = mod.core_vsk94;
					 ++mod.rf_id;
				 }
				   
				    event.getRegistry().register(mod.core_vsk94);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_vsk94;
		    	gun.doll_core = mod.core_vsk94;
		    }
		}bar.step("gun load");//end
		
		{//start
			mod.dollgun_ntw20	= new ItemDollGun_SR().setUnlocalizedName("dollgun_ntw20")
					.setRegistryName(mod.MOD_ID, "dollgun_ntw20").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_ntw20;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/rf/ntw20.txt");
				LoadDollStatus.load(gun, mod, event, status, "rf/ntw20.txt");
				
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_ntw20;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_ntw20);
		    {
				 mod.core_ntw20	= new ItemDollCore(37, mod.dollgun_ntw20,  null).setUnlocalizedName("core_ntw20")
				    		.setRegistryName(mod.MOD_ID, "core_ntw20").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_ntw20;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_ntw20;
					 core.craft_time = gun.doll_crafttime;
					 mod.rf_rare[mod.rf_id] = gun.doll_rare;
					 mod.rf_item[mod.rf_id] = mod.core_ntw20;
					 ++mod.rf_id;
				 }
				   
				    event.getRegistry().register(mod.core_ntw20);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_ntw20;
		    	gun.doll_core = mod.core_ntw20;
		    }
		}bar.step("gun load");//end
		
		{//start
			mod.dollgun_gm6	= new ItemDollGun_SR().setUnlocalizedName("dollgun_gm6")
					.setRegistryName(mod.MOD_ID, "dollgun_gm6").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_gm6;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/rf/gm6.txt");
				LoadDollStatus.load(gun, mod, event, status, "rf/gm6.txt");
				
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_gm6;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_gm6);
		    {
				 mod.core_gm6	= new ItemDollCore(37, mod.dollgun_gm6,  null).setUnlocalizedName("core_gm6")
				    		.setRegistryName(mod.MOD_ID, "core_gm6").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_gm6;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_gm6;
					 core.craft_time = gun.doll_crafttime;
					 mod.rf_rare[mod.rf_id] = gun.doll_rare;
					 mod.rf_item[mod.rf_id] = mod.core_gm6;
					 ++mod.rf_id;
				 }
				   
				    event.getRegistry().register(mod.core_gm6);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_gm6;
		    	gun.doll_core = mod.core_gm6;
		    }
		}bar.step("gun load");//end
		
		{//start
			mod.dollgun_m1_garand	= new ItemDollGun_SR().setUnlocalizedName("dollgun_m1_garand")
					.setRegistryName(mod.MOD_ID, "dollgun_m1_garand").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_m1_garand;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/rf/m1_garand.txt");
				gun.modid = mod.MOD_ID;
				LoadDollStatus.load(gun, mod, event, status, "rf/m1_garand.txt");
				
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_m1_garand;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_m1_garand);
		    {
				 mod.core_m1_garand	= new ItemDollCore(37, mod.dollgun_m1_garand,  null).setUnlocalizedName("core_m1_garand")
				    		.setRegistryName(mod.MOD_ID, "core_m1_garand").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_m1_garand;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_m1_garand;
					 core.craft_time = gun.doll_crafttime;
					 mod.rf_rare[mod.rf_id] = gun.doll_rare;
					 mod.rf_item[mod.rf_id] = mod.core_m1_garand;
					 ++mod.rf_id;
				 }
				   
				    event.getRegistry().register(mod.core_m1_garand);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_m1_garand;
		    	gun.doll_core = mod.core_m1_garand;
		    }
		}bar.step("gun load");//end
		
		{//start
			mod.dollgun_r93	= new ItemDollGun_SR().setUnlocalizedName("dollgun_r93")
					.setRegistryName(mod.MOD_ID, "dollgun_r93").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_r93;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/rf/r93.txt");
				LoadDollStatus.load(gun, mod, event, status, "rf/r93.txt");
				
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_r93;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_r93);
		    {
				 mod.core_r93	= new ItemDollCore(37, mod.dollgun_r93,  null).setUnlocalizedName("core_r93")
				    		.setRegistryName(mod.MOD_ID, "core_r93").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_r93;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_r93;
					 core.craft_time = gun.doll_crafttime;
					 mod.rf_rare[mod.rf_id] = gun.doll_rare;
					 mod.rf_item[mod.rf_id] = mod.core_r93;
					 ++mod.rf_id;
				 }
				   
				    event.getRegistry().register(mod.core_r93);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_r93;
		    	gun.doll_core = mod.core_r93;
		    }
		}bar.step("gun load");//end
		
		{//start
			mod.dollgun_general_liu	= new ItemDollGun_SR().setUnlocalizedName("dollgun_general_liu")
					.setRegistryName(mod.MOD_ID, "dollgun_general_liu").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_general_liu;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/rf/general_liu.txt");
				LoadDollStatus.load(gun, mod, event, status, "rf/general_liu.txt");
				
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_general_liu;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_general_liu);
		    {
				 mod.core_general_liu	= new ItemDollCore(37, mod.dollgun_general_liu,  null).setUnlocalizedName("core_general_liu")
				    		.setRegistryName(mod.MOD_ID, "core_general_liu").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_general_liu;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_general_liu;
					 core.craft_time = gun.doll_crafttime;
					 mod.rf_rare[mod.rf_id] = gun.doll_rare;
					 mod.rf_item[mod.rf_id] = mod.core_general_liu;
					 ++mod.rf_id;
				 }
				   
				    event.getRegistry().register(mod.core_general_liu);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_general_liu;
		    	gun.doll_core = mod.core_general_liu;
		    }
		}bar.step("gun load");//end
		
		{//start
			mod.dollgun_type81	= new ItemDollGun_SR().setUnlocalizedName("dollgun_type81")
					.setRegistryName(mod.MOD_ID, "dollgun_type81").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_type81;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/rf/type81.txt");
				LoadDollStatus.load(gun, mod, event, status, "rf/type81.txt");
				
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_type81;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_type81);
		    {
				 mod.core_type81	= new ItemDollCore(37, mod.dollgun_type81,  null).setUnlocalizedName("core_type81")
				    		.setRegistryName(mod.MOD_ID, "core_type81").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_type81;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_type81;
					 core.craft_time = gun.doll_crafttime;
					 mod.rf_rare[mod.rf_id] = gun.doll_rare;
					 mod.rf_item[mod.rf_id] = mod.core_type81;
					 ++mod.rf_id;
				 }
				   
				    event.getRegistry().register(mod.core_type81);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_type81;
		    	gun.doll_core = mod.core_type81;
		    }
		}bar.step("gun load");//end
		
		{//start
			mod.dollgun_dsr50	= new ItemDollGun_SR().setUnlocalizedName("dollgun_dsr50")
					.setRegistryName(mod.MOD_ID, "dollgun_dsr50").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_dsr50;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/rf/dsr50.txt");
				LoadDollStatus.load(gun, mod, event, status, "rf/dsr50.txt");
				
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_dsr50;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_dsr50);
		    {
				 mod.core_dsr50	= new ItemDollCore(37, mod.dollgun_dsr50,  null).setUnlocalizedName("core_dsr50")
				    		.setRegistryName(mod.MOD_ID, "core_dsr50").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_dsr50;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_dsr50;
					 core.craft_time = gun.doll_crafttime;
					 mod.rf_rare[mod.rf_id] = gun.doll_rare;
					 mod.rf_item[mod.rf_id] = mod.core_dsr50;
					 ++mod.rf_id;
				 }
				   
				    event.getRegistry().register(mod.core_dsr50);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_dsr50;
		    	gun.doll_core = mod.core_dsr50;
		    }
		}bar.step("gun load");//end
		
		net.minecraftforge.fml.common.ProgressManager.pop(bar);
	}
}
